> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure Variation Product

> Configure a new product selection. This occurs each time a shopper selects a product option as they configure a product. Once all the required product options are configured, the product can be added to a cart.



## OpenAPI

````yaml /openapi/openapi_catalog_storefront.json post /commerce/catalog/storefront/products/{productCode}/configure
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_STOREFRONT">
                <h2>CATALOG STOREFRONT</h2>
                <p>The Catalog Storefront APIs are a collection of resources for managing storefront categories, currencies, price lists, products, and
                    product search. This controls how the products in your catalog are organized and displayed on the
                    storefront. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Currencies</strong> resource to retrieve exchange rates for displaying prices on your storefront.</p>
                <p>Use the <strong>Storefront Categories</strong> resource to view the product category hierarchy as it appears to shoppers
                    who are browsing the storefront. The hierarchy can be returned as a flat list or as a category tree.</p>
                <p>Use the <strong>Pricelists</strong> resource to retrieve the details of a price list. The details may contain a hierarchy
                    of ancestor and/or descendant price lists dependening on your configuration.</p>
                <p>Use the <strong>Storefront Products</strong> resource to manage the shopper product selection process during a visit to
                    the web storefront. You can update product options as shoppers pick and choose their product choices. A
                    shopper cannot add a product to a cart until all of its required options have been selected.</p>
                <p>Use the <strong>Product Search</strong> resource to provide dynamic search results to shoppers as they browse and search
                    for products on the web storefront, and to suggest possible search terms as the shopper enters text. The related <strong>Search Redirect</strong>
                    resource allows you to retrieve any search redirect items.</p>
            </div>
  title: Catalog Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/storefront/products/{productCode}/configure:
    post:
      tags:
        - StorefrontProducts
      summary: Configure Variation Product
      description: >-
        Configure a new product selection. This occurs each time a shopper
        selects a product option as they configure a product. Once all the
        required product options are configured, the product can be added to a
        cart.
      parameters:
        - description: >-
            Merchant-created code for the product being configured, for example,
            a SKU. Max length: 30.
          in: path
          name: productCode
          required: true
          schema:
            type: string
        - description: >-
            If true, the response returns product details such as. If false,
            returns a product summary such as the product name, price, and sale
            price.
          in: query
          name: includeOptionDetails
          schema:
            type: boolean
        - description: >-
            Determines whether or not to check inventory on an item when
            validating
          in: query
          name: skipInventoryCheck
          schema:
            default: false
            type: boolean
        - description: >-
            Optional.  If specified, will be used for returning pricing based on
            volume if applicable.  Defaults to 1 if not specified.
          in: query
          name: quantity
          schema:
            format: int32
            type: integer
        - description: ''
          in: query
          name: purchaseLocation
          schema:
            type: string
        - description: ''
          in: query
          name: variationProductCodeFilter
          schema:
            type: string
        - description: ''
          in: query
          name: useSubscriptionPricing
          schema:
            default: false
            type: boolean
        - description: ''
          in: query
          name: subscriptionFrequency
          schema:
            type: string
        - description: ''
          in: query
          name: customerSegments
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductOptionSelections'
        description: Shopper-selected options.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfiguredProduct'
            text/json:
              schema:
                $ref: '#/components/schemas/ConfiguredProduct'
            text/plain:
              schema:
                $ref: '#/components/schemas/ConfiguredProduct'
          description: OK
components:
  schemas:
    ProductOptionSelections:
      description: >-
        If the product has configurable options, the current state of the
        shopper's selections.
      properties:
        options:
          description: List of the product options that the shopper has currently selected.
          items:
            $ref: '#/components/schemas/ProductOptionSelection'
          nullable: true
          type: array
        variationProductCode:
          description: >-
            For a product with options, the code of the product variation that
            represents the current selection of product options.
          nullable: true
          type: string
      type: object
    ConfiguredProduct:
      description: >-
        Product as it is currently configured on the storefront. The
        configuration changes each time the shopper changes the product order.
      properties:
        availableShippingDiscounts:
          description: List of potential shipping discounts available for this product.
          items:
            $ref: '#/components/schemas/CatalogRuntimesDiscount'
          nullable: true
          type: array
        fulfillmentTypesSupported:
          description: Indicates the fulfillment types the product supports.
          items:
            type: string
          nullable: true
          type: array
        inventoryInfo:
          $ref: '#/components/schemas/CatalogRuntimesProductInventoryInfo'
        measurements:
          $ref: '#/components/schemas/CatalogRuntimesPackageMeasurements'
        mfgPartNumber:
          description: Manufacturer part number.
          nullable: true
          type: string
        options:
          description: >-
            Remaining options and option values that can be selected given the
            shopper's current selection of options.
          items:
            $ref: '#/components/schemas/CatalogRuntimesProductOption'
          nullable: true
          type: array
        price:
          $ref: '#/components/schemas/CatalogRuntimesProductPrice'
        priceListEntryTypeProperty:
          $ref: '#/components/schemas/CatalogRuntimesProductProperty'
        priceRange:
          $ref: '#/components/schemas/ProductPriceRange'
        productCode:
          description: >-
            Merchant-created code associated with the product, for example, a
            SKU.
          nullable: true
          type: string
        productImages:
          description: Images associated with the product.
          items:
            $ref: '#/components/schemas/ProductImage'
          nullable: true
          type: array
        properties:
          description: >-
            Remaining options and option values that can be selected given the
            shopper's current selection of options.
          items:
            $ref: '#/components/schemas/CatalogRuntimesProductProperty'
          nullable: true
          type: array
        purchasableState:
          $ref: '#/components/schemas/ProductPurchasableState'
        purchaseLocation:
          description: >-
            The location where the product is being purchased.. default is null.
            Products can have different prices

            by purchaseLocation via custom priceListResolution....
          nullable: true
          type: string
        upc:
          description: UPC code of the product.
          nullable: true
          type: string
        variationProductCode:
          description: >-
            For a product with options, the code of the product variation that
            represents the current selection of product options. 

            Question: is this right?
          nullable: true
          type: string
        volumePriceBands:
          description: >-
            For products with bulk pricing... this will be populated with
            pricebands, depending on what options have been selected...
          items:
            $ref: '#/components/schemas/ProductVolumePrice'
          nullable: true
          type: array
        volumePriceRange:
          $ref: '#/components/schemas/ProductPriceRange'
      type: object
    ProductOptionSelection:
      description: >-
        Name of the option that has been selected, and, if this is a stand-alone
        option, the value that the shopper entered.
      properties:
        attributeFQN:
          description: Fully Qualified Name of the selected option's attribute
          nullable: true
          type: string
        attributeValueId:
          description: >-
            The unique ValueId of the Attribute (this can be sent as an
            alternative the to the AttributeFqn and Value)
          format: int32
          nullable: true
          type: integer
        shopperEnteredValue:
          description: >-
            Value that shopper entered if this is an Extra of VaolueType
            ShopperEntered.  This allows shopper data entry (such as the
            shopper's initials).
          nullable: true
        value:
          description: Value of the selected option
          nullable: true
      type: object
    CatalogRuntimesDiscount:
      description: Discount name and expiration date.
      properties:
        discountId:
          description: Unique identifier of the discount.
          format: int32
          type: integer
        expirationDate:
          description: Date when the discount expires.
          format: date-time
          nullable: true
          type: string
        friendlyDescription:
          description: Description of the discount.
          nullable: true
          type: string
        impact:
          description: The Impact of the individual Discount
          format: double
          type: number
        name:
          description: Name of the discount.
          nullable: true
          type: string
      type: object
    CatalogRuntimesProductInventoryInfo:
      description: >-
        Use the Products resource to create and manage products for your store.
        You can create products with options that a shopper configures (such as
        a T-shirt color and size). The system can manage inventory for all
        combinations of your product options, and can calculate tax and shipping
        costs.
      properties:
        availableDate:
          description: Date the item will become available for back order if out of stock
          format: date-time
          nullable: true
          type: string
        isSubstitutable:
          description: ReadOnly flag indicates is the product has substitutions defined
          type: boolean
        manageStock:
          description: If true, the Products service manages inventory for this product.
          nullable: true
          type: boolean
        onlineLocationCode:
          description: Directship location code for OnlineStockAvailable
          nullable: true
          type: string
        onlineSoftStockAvailable:
          description: Number of product items currently available for purchase.
          format: int32
          nullable: true
          type: integer
        onlineStockAvailable:
          description: Number of product items currently available for purchase.
          format: int32
          nullable: true
          type: integer
        outOfStockBehavior:
          description: >-
            The behvior when the ManageStock is true and the product is not in
            stock.
          nullable: true
          type: string
      type: object
    CatalogRuntimesPackageMeasurements:
      description: >-
        Physical dimensions of the package required to ship the product and its
        weight.
      properties:
        packageHeight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        packageLength:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        packageWeight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        packageWidth:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
      type: object
    CatalogRuntimesProductOption:
      description: >-
        An option for a product and its list of values, if any. Also includes
        whether the option is configurable or stand-alone, whether it is
        required, whether it can have mulitple values and whether the shopper
        can supply its value (for example, engraved initials).
      properties:
        attributeDetail:
          $ref: '#/components/schemas/AttributeDetail'
        attributeFQN:
          description: Attribute fully qualified name
          nullable: true
          type: string
        isMultiValue:
          description: >-
            If true, more than one value can be assigned to an option. Only
            possible with stand-alone options.
          nullable: true
          type: boolean
        isProductImageGroupSelector:
          type: boolean
        isRequired:
          description: >-
            If true, the shopper must provide a value for the option before it
            can be purchased.
          nullable: true
          type: boolean
        values:
          description: >-
            Possible choices for an option, for example, values of the option
            "Color" can be "red," "white," and "blue."
          items:
            $ref: '#/components/schemas/CatalogRuntimesProductOptionValue'
          nullable: true
          type: array
      type: object
    CatalogRuntimesProductPrice:
      description: Price of the product with any sale and discounts applied.
      properties:
        catalogListPrice:
          description: Current Price Listed in the catalog.
          format: double
          nullable: true
          type: number
        catalogSalePrice:
          description: >-
            Current sale price of the product listed in the catalog. This is not
            typically dispalyed directly to the user as it will be listed in
            SalePrice if applicable.
          format: double
          nullable: true
          type: number
        creditValue:
          description: >-
            Credit Value applicable to this product. Should only be present on
            DigitalCredit goodsType....
          format: double
          nullable: true
          type: number
        discount:
          $ref: '#/components/schemas/CatalogRuntimesAppliedDiscount'
        effectivePricelistCode:
          description: The priceList that was applied to this product
          nullable: true
          type: string
        msrp:
          description: >-
            Manufacturer suggested Retail price, this may be null if one is not
            set in the catalog.
          format: double
          nullable: true
          type: number
        price:
          description: >-
            Listed Price of the product. This is the price that the merchant
            intends to sell the product for if no sale is active.
          format: double
          nullable: true
          type: number
        priceListEntryCode:
          description: The specific PriceListCode that was applied (includes inheritence
          nullable: true
          type: string
        priceListEntryEndDate:
          description: EndDate if PriceListEntry present.
          format: date-time
          nullable: true
          type: string
        priceListEntryMode:
          description: >-
            IF a PriceList Entry was applied to this price it will be (simple,
            bulk...)
          nullable: true
          type: string
        priceType:
          description: >-
            Futher clarification of what value is being returned in the Price
            field
          nullable: true
          type: string
        salePrice:
          description: >-
            Current sale price of the product. This can be either a specific
            numerical amount or it can be calculated based on an active
            discount. Optional.
          format: double
          nullable: true
          type: number
        salePriceType:
          nullable: true
          type: string
      type: object
    CatalogRuntimesProductProperty:
      description: An attribute used as a property of a product
      properties:
        attributeDetail:
          $ref: '#/components/schemas/AttributeDetail'
        attributeFQN:
          description: Attribute fully qualified name
          nullable: true
          type: string
        isHidden:
          description: >-
            Indicates whether the product property should be hidden from the
            customer
          nullable: true
          type: boolean
        isMultiValue:
          description: >-
            Indicates whether it's possible for there to be more than one value
            in the Values field
          nullable: true
          type: boolean
        propertyType:
          description: Property Type of the Property
          nullable: true
          type: string
        values:
          description: Value(s) of the product property
          items:
            $ref: '#/components/schemas/CatalogRuntimesProductPropertyValue'
          nullable: true
          type: array
      type: object
    ProductPriceRange:
      description: >-
        For products with options that vary the cost of the product, the range
        between lowest and highest possible price of the product based on the
        current selection of options.
      properties:
        lower:
          $ref: '#/components/schemas/CatalogRuntimesProductPrice'
        upper:
          $ref: '#/components/schemas/CatalogRuntimesProductPrice'
      type: object
    ProductImage:
      description: Image or video associated with a product.
      properties:
        altText:
          description: >-
            Descriptive text associated with the image. Unicode data with a
            maximum length of 200 characters.
          nullable: true
          type: string
        cmsId:
          description: Id of the image in the CMS.
          nullable: true
          type: string
        imageLabel:
          description: Image title.  Unicode data with a maximum length of 50 characters.
          nullable: true
          type: string
        imageUrl:
          description: Image URL. Unicode data with a maximum length of 4000 characters.
          nullable: true
          type: string
        mediaType:
          description: >-
            Type of media. Used by the client to determine how to render the
            image or video or what have you.
          nullable: true
          type: string
        productImageGroupId:
          nullable: true
          type: string
        sequence:
          description: >-
            For products with multiple images, the sequence is the order in
            which this image appears. Whole number data. Required.
          format: int32
          nullable: true
          type: integer
        videoUrl:
          description: >-
            URL of the video. Unicode data with a maximum length of 4000
            characters.
          nullable: true
          type: string
      type: object
    ProductPurchasableState:
      description: >-
        Current state of the product purchase, that is, whether it is ready to
        be purchased. For products with configurable options,     /// the
        product is purchaseable if the shopper has selected all required
        options. If not, a message lists which required options are missing.
      properties:
        isPurchasable:
          description: >-
            If true, this product is currently available for purchase. For
            products with options, this is false until the shopper selects all
            required options.
          type: boolean
        messages:
          description: >-
            Message associated with this product if it is not ready to be
            purchased. For products with options, message contains which
            required options are missing.
          items:
            $ref: '#/components/schemas/ValidationMessage'
          nullable: true
          type: array
      type: object
    ProductVolumePrice:
      properties:
        isCurrent:
          type: boolean
        maxQty:
          format: int32
          nullable: true
          type: integer
        minQty:
          format: int32
          type: integer
        price:
          $ref: '#/components/schemas/CatalogRuntimesProductPrice'
        priceRange:
          $ref: '#/components/schemas/ProductPriceRange'
      type: object
    CommerceRuntimeMeasurement:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: double
          nullable: true
          type: number
      type: object
    AttributeDetail:
      description: >-
        Product Attribute properties common between a Product Propery, Option,
        and Extra
      properties:
        allowFilteringAndSortingInStorefront:
          description: >-
            Indicates whether the attribute should be able to be used in
            filters, facets, and sorting on the public storefront.
          type: boolean
        availableForOrderRouting:
          description: Indicates whether the attribute is available for order routing
          type: boolean
        customWeightInStorefrontSearch:
          description: >-
            Indicates whether the attribtue value is indexed so that it can have
            a custom relevency weight compared to other attributes in a
            tokenized text search
          nullable: true
          type: boolean
        dataType:
          description: >-
            The DataType of the attribute. Valid values for DataType are defined
            in DataTypeTypeConst.
          nullable: true
          type: string
        dataTypeSequence:
          description: >-
            A unique sequence of the attribute By dataType (used for common
            naming of fields in search index)
          format: int32
          type: integer
        description:
          description: >-
            Description of the attribute in the language specified by
            LocaleCode.
          nullable: true
          type: string
        displayIntention:
          description: >-
            Am optional hint to the theme about how this attribute should be
            displayed (what control to use)
          nullable: true
          type: string
        indexValueWithCase:
          description: Indicates whether the attribtue value is indexed with case or not
          nullable: true
          type: boolean
        inputType:
          description: >-
            The InputType type of the attribute. Valid values for InputType are
            defined in InputTypeConst.
          nullable: true
          type: string
        name:
          description: Name of the attribute in the language specified by LocaleCode.
          nullable: true
          type: string
        searchDisplayValue:
          description: >-
            If true, the system will index the display value of string
            attributes instead of the canonical value for searching. 

            The canonical value will always be used for filtering. Does not
            apply for for non-string attributes.
          type: boolean
        searchableInStorefront:
          description: Indicates whether the attribute value is searchable.
          type: boolean
        usageType:
          description: >-
            The UsageType of the attribute. Valid values for the usageType are
            defined in UsageTypeConst .
          nullable: true
          type: string
        validation:
          $ref: '#/components/schemas/CatalogAdminsAttributeValidation'
        valueType:
          description: >-
            The ValueType of the attribute. Valid values for ValueType are
            defined in ValueTypeTypeConst.
          nullable: true
          type: string
      type: object
    CatalogRuntimesProductOptionValue:
      description: Value of product option..."red," "white," "blue."
      properties:
        attributeValueId:
          description: Unique Id for the Value
          format: int32
          type: integer
        bundledProduct:
          $ref: '#/components/schemas/CatalogRuntimesBundledProduct'
        deltaPrice:
          description: How much this option costs above the cost of the product.
          format: double
          nullable: true
          type: number
        deltaWeight:
          description: How much this option weighs above the weight of the product.
          format: double
          nullable: true
          type: number
        displayInfo:
          $ref: >-
            #/components/schemas/CatalogRuntimesAttributeVocabularyValueDisplayInfo
        isDefault:
          description: If true, this is the default value that the merchant supplied.
          nullable: true
          type: boolean
        isEnabled:
          description: >-
            If true, this option is enabled and can be selected. During
            configuration, this returns false of this option value is invalid
            with other current selected options.
          nullable: true
          type: boolean
        isSelected:
          description: >-
            If true, this is the option that is currently selected. It can be
            either the default value or one that the shopper has selected.
          nullable: true
          type: boolean
        shopperEnteredValue:
          description: How much this option costs above the cost of the product.
          nullable: true
        stringValue:
          description: >-
            Localized Value in the language of the locale code only available
            for dataType string
          nullable: true
          type: string
        value:
          nullable: true
      type: object
    CatalogRuntimesAppliedDiscount:
      description: Discount applied to the product.
      properties:
        couponCode:
          description: If the discount is a coupon, code associated with the coupon.
          nullable: true
          type: string
        discount:
          $ref: '#/components/schemas/CatalogRuntimesDiscount'
        discounts:
          description: Discount name and expiration date.
          items:
            $ref: '#/components/schemas/CatalogRuntimesDiscount'
          nullable: true
          type: array
        impact:
          description: >-
            The new calculated price of the product. That is, the product price
            minus the discount amount.
          format: double
          type: number
      type: object
    CatalogRuntimesProductPropertyValue:
      description: Value of product property
      properties:
        displayInfo:
          $ref: >-
            #/components/schemas/CatalogRuntimesAttributeVocabularyValueDisplayInfo
        stringValue:
          description: Localized Value in the language of the locale code
          nullable: true
          type: string
        value:
          nullable: true
      type: object
    ValidationMessage:
      properties:
        message:
          description: Message displayed to the user when this validation failure occurred.
          nullable: true
          type: string
        severity:
          description: |-
            Severity level of the validation failure.
             Must be one of the values in SeverityConst.
          nullable: true
          type: string
        source:
          description: >-
            What invoked the validation.  Must be one of the values in
            SourceTypeConst.
          nullable: true
          type: string
        sourceId:
          description: Unique identifier of the source that invoked the validation failure.
          nullable: true
          type: string
        validationType:
          description: >-
            Type of validation error that occurred. This can be checked
            programatically. 
             Must be one of the values in ValidationTypeConst.
          nullable: true
          type: string
      type: object
    CatalogAdminsAttributeValidation:
      description: Used to validate attributes.
      properties:
        maxDateValue:
          description: For validating a DateTime attribute value, maximum datetime allowed.
          format: date-time
          nullable: true
          type: string
        maxNumericValue:
          description: For validating Number attribute value, maximum number allowed.
          format: double
          nullable: true
          type: number
        maxStringLength:
          description: For validating strings, maximum length allowed for a string.
          format: int32
          nullable: true
          type: integer
        minDateValue:
          description: For validating a DateTime attribute value, minimum datetime allowed.
          format: date-time
          nullable: true
          type: string
        minNumericValue:
          description: For validating Number attribute value, minimum number allowed.
          format: double
          nullable: true
          type: number
        minStringLength:
          description: For validating strings, minimum length allowed for a string.
          format: int32
          nullable: true
          type: integer
        regularExpression:
          description: >-
            Regular expression to run against the attribute value. This should
            follow JavaScript/EMCA's Regular Expression syntax.
          nullable: true
          type: string
      type: object
    CatalogRuntimesBundledProduct:
      properties:
        content:
          $ref: '#/components/schemas/ProductContent'
        creditValue:
          description: >-
            Credit Value applicable to this product. Should only be present on
            DigitalCredit goodsType....
          format: double
          nullable: true
          type: number
        goodsType:
          description: The GoodsType of this product (Physical, Digital, DigitalCredit)
          nullable: true
          type: string
        inventoryInfo:
          $ref: '#/components/schemas/CatalogRuntimesProductInventoryInfo'
        isPackagedStandAlone:
          description: Is this product shipped in its own package
          nullable: true
          type: boolean
        measurements:
          $ref: '#/components/schemas/CatalogRuntimesPackageMeasurements'
        optionAttributeFQN:
          description: >-
            Fully Qualified Name of the selected option's attribute (only
            applies to Products as extras)
          nullable: true
          type: string
        optionValue:
          description: Value of the selected option (only applies to Products as extras)
          nullable: true
        productCode:
          description: >-
            Merchant-created code associated with the product, for example, a
            SKU.
          nullable: true
          type: string
        productType:
          nullable: true
          type: string
        quantity:
          description: The quantity of the bundled product
          format: int32
          type: integer
      type: object
    CatalogRuntimesAttributeVocabularyValueDisplayInfo:
      description: >-
        Product Attribute properties common between a Product Propery, Option,
        and Extra
      properties:
        cmsId:
          description: Id of the image in the CMS.
          nullable: true
          type: string
        colorValue:
          description: Hex Color value to display in a color picker
          nullable: true
          type: string
        imageUrl:
          description: URL of the image.
          nullable: true
          type: string
      type: object
    ProductContent:
      description: >-
        Name of the product and, if supplied, description, metatags, friendly
        URL, and associated images.
      properties:
        metaTagDescription:
          description: Metadata description used to manage information internally.
          nullable: true
          type: string
        metaTagKeywords:
          description: Metadata keywords used to manage information internally.
          nullable: true
          type: string
        metaTagTitle:
          description: Metadata title used to manage information internally.
          nullable: true
          type: string
        productFullDescription:
          description: >-
            Detailed description of the product typically used for a product
            details page.
          nullable: true
          type: string
        productImages:
          description: Images associated with the product.
          items:
            $ref: '#/components/schemas/ProductImage'
          nullable: true
          type: array
        productName:
          description: Name of the product.
          nullable: true
          type: string
        productShortDescription:
          description: >-
            Brief description of the product typically used when the product is
            displayed in a list or search results.
          nullable: true
          type: string
        seoFriendlyUrl:
          description: >-
            Human-readable identifier defined for the product to create friendly
            URLs.
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````